Name:                tex-fonts-hebrew
Version:             0.1
Release:             30
Summary:             Culmus Hebrew fonts support for LaTeX
License:             GPL+ and LPPL
URL:                 http://culmus.sf.net
Source:              https://sourceforge.net/projects/ivritex/files/OldFiles/tetex-fonts-hebrew-%{version}.tar.gz
BuildRequires:       texlive-dvips-bin texlive-fontware-bin
BuildRequires:       culmus-aharoni-clm-fonts culmus-caladings-clm-fonts culmus-david-clm-fonts
BuildRequires:       culmus-drugulin-clm-fonts culmus-ellinia-clm-fonts culmus-frank-ruehl-clm-fonts
BuildRequires:       culmus-hadasim-clm-fonts culmus-miriam-clm-fonts culmus-miriam-mono-clm-fonts
BuildRequires:       culmus-nachlieli-clm-fonts culmus-simple-clm-fonts culmus-yehuda-clm-fonts
BuildRequires:       culmus-stamashkenaz-clm-fonts culmus-stamsefarad-clm-fonts
Requires:            texlive-base texlive-kpathsea-bin culmus-aharoni-clm-fonts
Requires:            culmus-caladings-clm-fonts culmus-david-clm-fonts culmus-drugulin-clm-fonts
Requires:            culmus-ellinia-clm-fonts culmus-frank-ruehl-clm-fonts culmus-hadasim-clm-fonts
Requires:            culmus-miriam-clm-fonts culmus-miriam-mono-clm-fonts culmus-nachlieli-clm-fonts
Requires:            culmus-simple-clm-fonts culmus-stamashkenaz-clm-fonts
Requires:            culmus-stamsefarad-clm-fonts culmus-yehuda-clm-fonts
BuildArch:           noarch
Requires(post):      /usr/bin/texhash /usr/bin/updmap-sys /usr/bin/texconfig-sys /usr/bin/texconfig
Requires(postun):    /usr/bin/texhash /usr/bin/updmap-sys /usr/bin/texconfig-sys /usr/bin/texconfig
%description
In LaTeX, Culmus Hebrew fonts is supported.

%prep
%autosetup  -n tetex-fonts-hebrew-%{version} -p1

%build
sed -i 's/^culmusdir=/#culmusdir=/' mkCLMtfm.sh
culmusdir=%{_datadir}/fonts/culmus 
%make_build

%install
make TEXMFDIR=%{buildroot}%{_datadir}/texmf CULMUSDIR=../../../../fonts/culmus install
TEXMFDIR=%{buildroot}%{_datadir}/texmf
install -d $TEXMFDIR/fonts/map/dvips/updmap/
mv $TEXMFDIR/fonts/map/dvips/culmus.map $TEXMFDIR/fonts/map/dvips/updmap/

%files
%doc hebhello.tex culmus-ex.tex GNU-GPL
%{_datadir}/texmf/{fonts,tex}

%post
/usr/bin/texhash >/dev/null 2>&1 || :
if [ "$1" = "1" ]; then
  /usr/bin/updmap-sys --quiet --nohash --enable Map=culmus.map >/dev/null 2>&1 || :
fi

%postun
if [ "$1" = "0" ]; then
  /usr/bin/updmap-sys --quiet --nohash --disable Map=culmus.map >/dev/null 2>&1 || :
fi
/usr/bin/texhash >/dev/null 2>&1 || :

%changelog
* Thu May 14 2020 yanan li <liyanan032@huawei.com> - 0.1-30
- Package init
